<?php
/**
 *
 * @category        page module
 * @package         Bootstrap Multiple Columns
 * @author          Ruud Eisinga
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.3.6 and higher
 * @version         1.1.0
 * @lastmodified    July 13, 2015
 */
 
require('../../config.php');
$update_when_modified = true;
require(WB_PATH.'/modules/admin.php');

if(isset($_POST['xswidth'])) {
	$xswidth 	= intval($_POST['xswidth']);
	$smwidth 	= intval($_POST['smwidth']);
	$mdwidth 	= intval($_POST['mdwidth']);
	$lgwidth 	= intval($_POST['lgwidth']);
	$showtitle 	= intval($_POST['showtitle']);
	$rowflex 	= intval($_POST['rowflex']);

	// Update settings
	$database->query("UPDATE ".TABLE_PREFIX."mod_btcolumns_settings SET "
		." showtitle = '$showtitle', "
		." rowflex = '$rowflex', "
		." xswidth = '$xswidth', "
		." smwidth = '$smwidth', "
		." mdwidth = '$mdwidth', "
		." lgwidth = '$lgwidth' "
		." WHERE section_id = '$section_id'");

	if($database->is_error()) {
		$admin->print_error($database->get_error(), ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
	} else {
		$admin->print_success($TEXT['SUCCESS'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
	}

} else {
	
	$admin->print_error($MESSAGE['GENERIC']['FILL_IN_ALL'], WB_URL.'/modules/btcolumns/modify_settings.php?page_id='.$page_id.'&section_id='.$section_id);
	
}
$admin->print_footer();

?>
